Name: ices0
Version: 0.4
Release: 1%{?dist}
Summary: Source streaming for Icecast
Group: System Environment/Daemons
License: GPLv2
URL: http://www.icecast.org
Source0: http://downloads.us.xiph.org/releases/ices/ices-%{version}.tar.gz
Source1: ices0.service
Source2: ices0.init
Source3: ices0.logrotate
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: libxml2-devel, libshout-devel >= 2.0, libvorbis-devel,
BuildRequires: pkgconfig, zlib-devel
BuildRequires: libtheora-devel, speex-devel
BuildRequires:	perl(ExtUtils::Embed) libmp4v2-devel
#custom build
BuildRequires:	lame-devel, faac-devel, faad2-devel

%if 0%{?fedora} >= 17
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units
%else
Requires(post): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
Requires(preun): /sbin/chkconfig
%endif

%description
IceS is a source client for a streaming server. The purpose of this client is
to provide an audio stream to a streaming server such that one or more
listeners can access the stream. With this layout, this source client can be
situated remotely from the icecast server.

The primary example of a streaming server used is Icecast 2, although others
could be used if certain conditions are met.

%prep
%setup -q -n ices-%{version}

%build
%configure \
	--with-perl \
	--with-lame \
	--with-vorbis \
	--with-faad \
	--without-flac

#	--with-flac

%{__make} %{?_smp_mflags}

%install
rm -rf %{buildroot}

#make install DESTDIR=$RPM_BUILD_ROOT

install -D -m 755 src/ices %{buildroot}%{_bindir}/ices0
install -D -m 644 conf/ices.conf.dist %{buildroot}%{_sysconfdir}/ices0.conf
%if 0%{?fedora} >= 17
install -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/ices0.service
%else
install -D -m 0755 %{SOURCE2}  %{buildroot}%{_sysconfdir}/rc.d/init.d/ices0
%endif
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/logrotate.d/ices0
install -d -m 755 %{buildroot}%{_var}/log/ices0
install -D -m 0644 doc/ices.1 %{buildroot}%{_mandir}/man1/ices0.1

%clean 
rm -rf %{buildroot}

%pre
/usr/sbin/useradd -c "IceS Shoutcast source" \
        -s /sbin/nologin -r -d / ices 2> /dev/null || :

%post
if [ $1 -eq 1 ] ; then 
    # Initial installation 
%if 0%{?fedora} >= 17
    /bin/systemctl daemon-reload >/dev/null 2>&1 || :
%else
	/sbin/chkconfig --add ices0
%endif
fi


%preun
if [ $1 -eq 0 ] ; then
    # Package removal, not upgrade
%if 0%{?fedora} >= 17
    /bin/systemctl --no-reload disable ices0.service > /dev/null 2>&1 || :
    /bin/systemctl stop ices0.service > /dev/null 2>&1 || :
%else
	/sbin/service ices0 stop >/dev/null 2>&1
	/sbin/chkconfig --del ices0
%endif
fi

%postun
%if 0%{?fedora} >= 17
/bin/systemctl daemon-reload >/dev/null 2>&1 || :
if [ $1 -ge 1 ] ; then
    # Package upgrade, not uninstall
    /bin/systemctl try-restart ices0.service >/dev/null 2>&1 || :
fi
%else
if [ $1 -ge 1 ] ; then
	/sbin/service ices condrestart &>/dev/null 2>&1 || :
fi
%endif

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING INSTALL NEWS README* TODO conf/*.dist doc/icesmanual.html
%{_bindir}/ices0
%config(noreplace) %{_sysconfdir}/ices0.conf
%config %{_sysconfdir}/logrotate.d/ices0
%if 0%{?fedora} >= 17
%{_unitdir}/ices0.service
%else
%{_sysconfdir}/rc.d/init.d/ices0
%endif
%attr(0755,root,ices) %{_var}/log/ices0
%{_mandir}/man1/ices0.1*

%changelog
* Tue Mar 19 2013 momo-i <webmaster@momo-i.org> 0.4-1
- Initial rpm release.
